Package org.opensaml.saml.saml2.core

# Interface NameIDMappingRequest

All Superinterfaces:
  `RequestAbstractType`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Implementing Classes:
  `NameIDMappingRequestImpl`

public interface NameIDMappingRequest extends RequestAbstractType
SAML 2.0 Core NameIDMappingRequest.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`BaseID`
`getBaseID()`
Gets the base identifier of the principal for this request.
`EncryptedID`
`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
`NameID`
`getNameID()`
Gets the name identifier of the principal for this request.
`NameIDPolicy`
`getNameIDPolicy()`
Get the NameIDPolicy of the request.
`void`
`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
`setNameIDPolicy(NameIDPolicy newNameIDPolicy)`
Set the NameIDPolicy of the request.

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getBaseID

@Nullable BaseID getBaseID()
Gets the base identifier of the principal for this request.

Returns:
  the base identifier of the principal for this request

### setBaseID

void setBaseID(@Nullable BaseID newBaseID)
Sets the base identifier of the principal for this request.

Parameters:
  `newBaseID` - the base identifier of the principal for this request

### getNameID

@Nullable NameID getNameID()
Gets the name identifier of the principal for this request.

Returns:
  the name identifier of the principal for this request

### setNameID

void setNameID(@Nullable NameID newNameID)
Sets the name identifier of the principal for this request.

Parameters:
  `newNameID` - the name identifier of the principal for this request

### getEncryptedID

@Nullable EncryptedID getEncryptedID()
Gets the encrypted name identifier of the principal for this request.

Returns:
  the encrypted name identifier of the principal for this request

### setEncryptedID

void setEncryptedID(@Nullable EncryptedID newEncryptedID)
Sets the encrypted name identifier of the principal for this request.

Parameters:
  `newEncryptedID` - the new encrypted name identifier of the principal for this request

### getNameIDPolicy

@Nullable NameIDPolicy getNameIDPolicy()
Get the NameIDPolicy of the request.

Returns:
  the NameIDPolicy of the request

### setNameIDPolicy

void setNameIDPolicy(@Nullable NameIDPolicy newNameIDPolicy)
Set the NameIDPolicy of the request.

Parameters:
  `newNameIDPolicy` - the new NameIDPolicy of the request